BizKitHub
DocsAPI ReferenceProduct/bff/product/search-product-list-autocomplete
getProductAdmin BFF

/bff/product/search-product-list-autocomplete

Returns up to 20 products matching the search query for autocomplete purposes. Searches by product name and short description. Includes thumbnail image and price.

ProductgetBffProductSearch-product-list-autocomplete

Parameters

1 query

Query parameters

· 1
searchQuerystringRequired

Search query to filter products by name or description.

Exampleblue shirt

Response schema

1 status code documented

200Success
itemsobject[]Required

Products matching the autocomplete query.

Each array item:
codestringRequired

Product code.

namestringRequired

Product name.

shortDescriptionstringOptional

Short description, truncated to 150 characters.

mainImageUrlstringOptional

Main product image URL.

pricenumberRequired

Price with VAT.

vatnumberRequired

VAT rate percentage.

Response example

application/json
{
  "items": [
    {
      "code": "example_code",
      "name": "example_name",
      "shortDescription": "example_shortDescription",
      "mainImageUrl": "example_mainImageUrl",
      "price": 0,
      "vat": 0
    }
  ]
}

Request example

GET /bff/product/search-product-list-autocomplete

get
curl -X GET "https://api.bizkithub.com/bff/product/search-product-list-autocomplete?searchQuery=blue%20shirt" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key